%define         anolis_release 1

Name:           isns-utils
Version:        0.103
Release:        %{anolis_release}%{?dist}
Summary:        The iSNS daemon and utility programs
License:        LGPL-2.1-or-later
URL:            https://github.com/open-iscsi/open-isns
Source0:        https://github.com/open-iscsi/open-isns/archive/v%{version}.tar.gz#/open-isns-%{version}.tar.gz
Source1:        isnsd.service
Patch1:         test_as_installed.patch
BuildRequires:  gcc openssl-devel pkgconfig systemd-devel systemd
BuildRequires:  meson ninja-build
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires: %{name}-libs = %{EVR}

%description
The iSNS package contains the daemon and tools to setup a iSNS server,
and iSNS client tools. The Internet Storage Name Service (iSNS) protocol
allows automated discovery, management and configuration of iSCSI and
Fibre Channel devices (using iFCP gateways) on a TCP/IP network.

%package libs
Summary: Shared library files for iSNS

%description libs
Shared library files for iSNS

%package devel
Summary: Development files for iSNS
Requires: %{name}-libs = %{EVR}

%description devel
Development files for iSNS

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n open-isns-%{version}

%build
%meson -Dsecurity=disabled -Dslp=disabled
%meson_build

%install
%meson_install
chmod 755 %{buildroot}%{_sbindir}/isns*
chmod 755 %{buildroot}%{_libdir}/libisns.so.0
chmod 700 %{buildroot}/var/lib/isns
rm %{buildroot}%{_unitdir}/isnsd.service
rm %{buildroot}%{_unitdir}/isnsd.socket
install -p -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/isnsd.service

%generate_compatibility_deps

%post
%systemd_post isnsd.service

%postun
%systemd_postun isnsd.service

%preun
%systemd_preun isnsd.service

%triggerun -- isns-utils < 0.91-7
/usr/bin/systemd-sysv-convert --save isnsd >/dev/null 2>&1 ||:

/sbin/chkconfig --del isnsd >/dev/null 2>&1 || :
/bin/systemctl try-restart isnsd.service >/dev/null 2>&1 || :

%files
%license COPYING
%dir %{abidir}
%{_sbindir}/isnsd
%{_sbindir}/isnsadm
%{_sbindir}/isnsdd
%{abidir}/isnsd-option.list
%{abidir}/isnsadm-option.list
%{abidir}/isnsdd-option.list
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_unitdir}/isnsd.service
%dir %{_sysconfdir}/isns
%dir %{_var}/lib/isns
%config(noreplace) %{_sysconfdir}/isns/*

%files libs
%{_libdir}/libisns.so.0
%{_libdir}/pkgconfig/libisns.pc
%{abidir}/libisns.dump

%files devel
%dir %{_includedir}/libisns
%{_includedir}/libisns/*.h
%{_libdir}/libisns.so

%files doc
%doc README.md

%changelog
* Wed Feb 19 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.103-1
- update to 0.103 from 0.102
- Migrated to SPDX license
- switch to build using meson

* Thu Apr 13 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.102-2
- optimize spec

* Mon Mar 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.102-1
- update version and spec

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.101-3
- optimise spec file

* Mon Oct 10 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.101-2
- add doc package

* Fri Apr 15 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.101-1
- Init isns-utils for anolis os 23
